/*
 * Altogether: Xerox Alto microcode-level simulator
 * 3 Mbit/s Ethernet controller and media simulation
 * $Id: ethernet.c 93 2003-10-24 02:04:52Z eric $
 * Copyright 2001 Eric Smith <eric@brouhaha.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.  Note that permission is
 * not granted to redistribute this program under the terms of any
 * other version of the General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111  USA
 */

#include <stdbool.h>
#include <stdint.h>

#include "alto.h"
#include "cpu.h"
#include "ethernet.h"


#define bs_ether_eidfct  bs_task_4

#define f1_ether_eilfct  f1_task_13
#define f1_ether_epfct   f1_task_14
#define f1_ether_ewfct   f1_task_15

#define f2_ether_eodfct  f2_task_10
#define f2_ether_eosfct  f2_task_11
#define f2_ether_erbfct  f2_task_12
#define f2_ether_eefct   f2_task_13
#define f2_ether_ebfct   f2_task_14
#define f2_ether_ecbfct  f2_task_15
#define f2_ether_eisfct  f2_task_16


void bs_fn_ether_eidfct (int task, int code, int after)
{
  /* ??? */
}


void f1_fn_ether_eilfct (int task, int code, int after)
{
  /* ??? */
}

void f1_fn_ether_epfct (int task, int code, int after)
{
  /* ??? */
}

void f1_fn_ether_ewfct (int task, int code, int after)
{
  /* ??? */
}


void f2_fn_ether_eodfct (int task, int code, int after)
{
  /* ??? */
}

void f2_fn_ether_eosfct (int task, int code, int after)
{
  /* ??? */
}

void f2_fn_ether_erbfct (int task, int code, int after)
{
  /* ??? */
}

void f2_fn_ether_eefct (int task, int code, int after)
{
  /* ??? */
}

void f2_fn_ether_ebfct (int task, int code, int after)
{
  /* ??? */
}

void f2_fn_ether_ecbfct (int task, int code, int after)
{
  /* ??? */
}

void f2_fn_ether_eisfct (int task, int code, int after)
{
  /* ??? */
}


void install_ethernet (int task)
{
  install_bus_select_fn (task_ethernet, bs_ether_eidfct, & bs_fn_ether_eidfct);

  install_f1_fn (task_ethernet, f1_ether_eilfct,    & f1_fn_ether_eilfct);
  install_f1_fn (task_ethernet, f1_ether_epfct,     & f1_fn_ether_epfct);
  install_f1_fn (task_ethernet, f1_ether_ewfct,     & f1_fn_ether_ewfct);

  install_f2_fn (task_ethernet, f2_ether_eodfct,    & f2_fn_ether_eodfct);
  install_f2_fn (task_ethernet, f2_ether_eosfct,    & f2_fn_ether_eosfct);
  install_f2_fn (task_ethernet, f2_ether_erbfct,    & f2_fn_ether_erbfct);
  install_f2_fn (task_ethernet, f2_ether_eefct,     & f2_fn_ether_eefct);
  install_f2_fn (task_ethernet, f2_ether_ebfct,     & f2_fn_ether_ebfct);
  install_f2_fn (task_ethernet, f2_ether_ecbfct,    & f2_fn_ether_ecbfct);
  install_f2_fn (task_ethernet, f2_ether_eisfct,    & f2_fn_ether_eisfct);
}
